---
Fuzzer filename: '/src/hwloc_fuzzer.c'
All functions:
  Function list name: All functions
  Elements:
    - functionName:    LLVMFuzzerTestOneInput
      functionSourceFile: '/src/hwloc_fuzzer.c'
      linkageType:     externalLinkage
      functionLinenumber: 17
      functionLinenumberEnd: 36
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          60
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - hwloc_decode_from_base64
        - hwloc_encode_to_base64
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'hwloc_fuzzer.c:22,3'
          Dst:             hwloc_encode_to_base64
        - Src:             'hwloc_fuzzer.c:31,3'
          Dst:             hwloc_decode_from_base64
    - functionName:    hwloc_decode_from_base64
      functionSourceFile: '/src/hwloc/hwloc/base64.c'
      linkageType:     InternalLinkage
      functionLinenumber: 196
      functionLinenumberEnd: 318
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         85
      ICount:          478
      EdgeCount:       109
      CyclomaticComplexity: 26
      functionsReached:
        - __ctype_b_loc
        - strchr
      functionUses:    1
      BranchProfiles:
        - Branch String:   'base64.c:216,3'
          Branch Sides:    []
        - Branch String:   'base64.c:272,3'
          Branch Sides:    []
      Callsites:
        - Src:             'base64.c:206,7'
          Dst:             __ctype_b_loc
        - Src:             'base64.c:212,9'
          Dst:             strchr
        - Src:             'base64.c:280,10'
          Dst:             __ctype_b_loc
        - Src:             'base64.c:295,10'
          Dst:             __ctype_b_loc
    - functionName:    __ctype_b_loc
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    strchr
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    hwloc_encode_to_base64
      functionSourceFile: '/src/hwloc/hwloc/base64.c'
      linkageType:     InternalLinkage
      functionLinenumber: 136
      functionLinenumberEnd: 186
      functionDepth:   0
      returnType:      int
      argCount:        4
      argTypes:
        - 'N/A'
        - size_t
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         21
      ICount:          304
      EdgeCount:       27
      CyclomaticComplexity: 8
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
...
